import * as __WEBPACK_EXTERNAL_MODULE__application_schema_initializer_SchemaInitializer_mjs__ from "../../application/schema-initializer/SchemaInitializer.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__schema_initializer_utils_mjs__ from "../../schema-initializer/utils.mjs";
const blockInitializers = new __WEBPACK_EXTERNAL_MODULE__application_schema_initializer_SchemaInitializer_mjs__.SchemaInitializer({
    name: 'page:addBlock',
    title: '{{t("Add block")}}',
    icon: 'PlusOutlined',
    wrap: __WEBPACK_EXTERNAL_MODULE__schema_initializer_utils_mjs__.gridRowColWrap,
    items: [
        {
            name: 'dataBlocks',
            title: '{{t("Data blocks")}}',
            type: 'itemGroup',
            children: [
                {
                    name: 'table',
                    title: '{{t("Table")}}',
                    Component: 'TableBlockInitializer'
                },
                {
                    name: 'form',
                    title: '{{t("Form")}}',
                    Component: 'FormBlockInitializer'
                },
                {
                    name: 'details',
                    title: '{{t("Details")}}',
                    Component: 'DetailsBlockInitializer'
                },
                {
                    name: 'list',
                    title: '{{t("List")}}',
                    Component: 'ListBlockInitializer'
                },
                {
                    name: 'gridCard',
                    title: '{{t("Grid Card")}}',
                    Component: 'GridCardBlockInitializer'
                }
            ]
        },
        {
            name: 'filterBlocks',
            title: '{{t("Filter blocks")}}',
            type: 'itemGroup',
            children: [
                {
                    name: 'filterForm',
                    title: '{{t("Form")}}',
                    Component: 'FilterFormBlockInitializer'
                },
                {
                    name: 'filterCollapse',
                    title: '{{t("Collapse")}}',
                    Component: 'FilterCollapseBlockInitializer'
                },
                {
                    name: 'filterTree',
                    title: '{{t("Tree")}}',
                    Component: 'FilterTreeBlockInitializer'
                }
            ]
        },
        {
            name: 'otherBlocks',
            type: 'itemGroup',
            title: '{{t("Other blocks")}}',
            children: [
                {
                    name: 'markdown',
                    title: '{{t("Demonstration text")}}',
                    Component: 'MarkdownBlockInitializer'
                }
            ]
        }
    ]
});
export { blockInitializers };
